The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/databases/clusters/{database}/databases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
}
]
}Get a list of all databases for a specific database cluster.
curl --request GET \
--url https://cloud.laravel.com/api/databases/clusters/{database}/databases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "databaseSchemas",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"type": "laravel_mysql_84",
"status": "creating",
"region": "us-east-2",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"cu_min": 0.25,
"cu_max": 0.25,
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"port": 3306,
"protocol": "mysql",
"driver": "mysql",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The database identifier
Available includes are database, environments. You can include multiple options by separating them with a comma.
Paginated set of DatabaseSchemaResource
Was this page helpful?